Lavalite package that provides island management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `island/island`.

    "island/island": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Island\Island\Providers\IslandServiceProvider::class,

And also add it to alias

    'Island'  => Island\Island\Facades\Island::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Island\\IslandTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Island\Island\Providers\IslandServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Island\Island\Providers\IslandServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Island\Island\Providers\IslandServiceProvider" --tag="view"


## Usage


