<?php

// Resource routes  for islands
Route::group(['prefix' => set_route_guard('web').'/island'], function () {
    Route::put('islands/workflow/{example}/{step}', 'IslandsWorkflowController@putWorkflow');
    Route::get('islands/workflow/{example}/{step}/{user}', 'IslandsWorkflowController@getWorkflow');
    Route::resource('islands', 'IslandsResourceController');
});

// Public  routes for islands
Route::get('islands/workflow/{islands}/{step}/{user}', 'IslandsController@getWorkflow');
Route::get('islands/popular/{period?}', 'IslandsPublicController@popular');
Route::get('islands/', 'IslandsPublicController@index');
Route::get('islands/{slug?}', 'IslandsPublicController@show');

