<?php

namespace Island\Island\Repositories\Eloquent;

use Island\Island\Interfaces\IslandsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class IslandsRepository extends BaseRepository implements IslandsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('island.island.islands.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('island.island.islands.model.model');
    }
}
